/*	controller.js
	
	We know the API result will be in this format
	as a plain object:
	
		{"label1":"Celsius",
		"value1":10,
		"label2":"Fahrenheit",
		"value2":50}	
		
	My job, as the controller, is to simply render
	the result. I can do it.
	
*/

//------------------------------------

const log = console.log;

//=====================================	

class Controller {
	
	static showApiResult(results) {
		//result is array of pairs {unit, value}
		//if not array, assume we have error
		if (!Array.isArray(results))
			log(results.toString());
		else
			results.forEach(pair => log(`${pair.value} ${pair.unit}`));
	}
}	
	
//=====================================	

exports.Controller = Controller;	
	
	
	
