//data-receiver.js
//DataReceiver
//Temperature Conversion Data Receiver

class DataReceiver {
	
	constructor(finishFct) {
		this.apiResult = null;
		this.dataString = '';			
		this.finishFct = finishFct;
	}
	
	//------------------------------------------
	//public
	
	getReadDataFct(response) {
		this.dataString = '';	
		return (incomingMessage) => {
			incomingMessage.on(
				'data',
				(chunk) => this.receiveNextChunk(chunk));
			incomingMessage.on(
				'end', 
				() => this.finishReceivingData(response));
		}
	}	
		
	//------------------------------------------
	//private -- receive data from API
		
	receiveNextChunk(chunk) {
		//console.log('chunk: ' + chunk);	
		this.dataString += chunk;
	}
	
	finishReceivingData() {
		//console.log('dataString: ' + this.dataString);
		try { 
			this.apiResult = JSON.parse(this.dataString);
			this.finishFct(this.apiResult);			
		} catch(exception) {
			console.log(`Error calling API: ${this.dataString}`);
			throw exception;
		}
	}

}

//------------------------------------------		
exports.DataReceiver = DataReceiver;

