const 
	https = require('http'),
	DataReceiver = require('./data-receiver').DataReceiver,	
	errorCallback = (err) => console.log(`Error: ${err}`),
	Controller = require('./controller').Controller;

function callApi() {
	/* Simple example API call.
	We consume the API at endpoint "/convert/temp/fahrenheit".
	We use a DataReceiver object to receive data from the API, 
	and when it is done, it will call "showApiResult"
	apiKey is our API access key*/
	const
		//apiUrl = 'http://localhost:3000/convert/temperature?unit=c&value=10&apiKey=Z283794',
		apiUrl = 'http://localhost:3000/convert/length?unit=m&value=2&apiKey=Z283794';		
		dataRecr = new DataReceiver(Controller.showApiResult);		
	https
		.get(apiUrl, dataRecr.getReadDataFct())
		.on("error", errorCallback);		
}

//entry point to this code
callApi();

